Page MenuHomePhabricator

Migrate Overlay.test.js to tests/node-qunit/mobile.startup
Closed, ResolvedPublic2 Story Points

Description

Overlay.js has already been migrated to webpack's control in T205593, but its associated tests proved to be challenging to migrate due to Overlay's use of mw.template.get and it's dependencies use of mw.template.get (Anchor.js, Button.js). It was thus decided to leave its test file as is, and migrate it in a future card (this one).

Acceptance criteria

  • Overlay.test.js is migrated to tests/node-qunit/mobile.startup and can be run from headless qunit
  • $testFiles[] = 'tests/qunit/mobile.startup/Overlay.test.js; line is removed from MobileFrontend.hooks.php
  • Global usages of jquery in Overlay.test.js are replaced with calls to util.js

Note: Adding additional test coverage is out of scope and will be added separately.

Sign off steps

Event Timeline

nray created this task.Oct 17 2018, 10:29 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptOct 17 2018, 10:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
nray updated the task description. (Show Details)Oct 17 2018, 10:34 PM
Jdlrobson raised the priority of this task from Normal to High.Oct 18 2018, 5:02 PM

Change 469450 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate Overlay.test.js to tests/node-qunit/mobile.startup

https://gerrit.wikimedia.org/r/469450

nray added a comment.Oct 24 2018, 10:23 PM

Moving this to Ready for Signoff as only test files should be impacted by this change

Change 469450 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Migrate Overlay.test.js to tests/node-qunit/mobile.startup

https://gerrit.wikimedia.org/r/469450

Jdlrobson updated the task description. (Show Details)Oct 24 2018, 11:00 PM
Jdlrobson closed this task as Resolved.Oct 31 2018, 6:43 PM
Jdlrobson updated the task description. (Show Details)